Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001705Double CommanderFile operationspublic2017-01-21 22:222017-07-22 12:13
Reporterzzarko 
Assigned ToAlexx2000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
PlatformOSUbuntuOS Version14.04 64bit
Product Version0.7.7Product Build7285 
Target Version0.8.0Fixed in Version0.8.0 
Summary0001705: Opening terminal while moving file keeps the file open on source drive
DescriptionIf I start a move operation of a larger file, and open a terminal while the file is moving, after the moving is finished, the file will still occupy space on source drive, until terminal is closed. Only after I close the terminal window, free space on source drive becomes larger.

This isn't a problem only with terminal, same thing happens if I start any program from Double Commander while moving files. It looks to me that all open file handles are somehow transferred to a new process (terminal, editor, or any other program started from DC) and those files stay open until the program is closed, which in turn does not allow them to be physically deleted (I may be wrong about what happens under the hood, this is my best guess...)
Steps To Reproduce1. Note the amount of empty space on source drive
2. Start moving operation of some large file (~1GB) to another drive
3. Open the terminal while file is moving
4. Wait till move operation finishes
5. Amount of empty space on source drive remains the same
6. lsof -n | grep <filename> reveals that file still exists on source drive, although in "deleted" state
7. Close terminal -> amount of empty space on source drive increases
TagsNo tags attached.
Fixed in Revision7345-7346,7348-7349,7351-7352
Operating systemLinux
WidgetsetQT4
Architecture64-bit
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-01-21 22:22 zzarko New Issue
2017-01-21 23:37 Alexx2000 Assigned To => Alexx2000
2017-01-21 23:37 Alexx2000 Status new => acknowledged
2017-01-22 09:03 Alexx2000 Fixed in Revision => 7345
2017-01-22 09:03 Alexx2000 Target Version => 0.8.0
2017-01-22 09:03 Alexx2000 Fixed in Version => 0.8.0
2017-01-22 09:10 Alexx2000 Fixed in Revision 7345 => 7345-7346
2017-01-24 18:34 Alexx2000 Fixed in Revision 7345-7346 => 7345-7346,7348-7349
2017-01-28 08:52 Alexx2000 Fixed in Revision 7345-7346,7348-7349 => 7345-7346,7348-7349,7351
2017-01-28 09:13 Alexx2000 Fixed in Revision 7345-7346,7348-7349,7351 => 7345-7346,7348-7349,7351-7352
2017-07-22 12:11 Alexx2000 Status acknowledged => resolved
2017-07-22 12:11 Alexx2000 Resolution open => fixed
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker